com.ihr.xbrl.om.table.structural

## Class AspectAndDistanceToLeaf

- java.lang.Object
- - com.ihr.xbrl.om.table.structural.AspectAndDistanceToLeaf

-     public class AspectAndDistanceToLeaf
      extends java.lang.Object

  This class collects aspects and the distance of the aspect definition node to the leaf node. The class is required to deal with point 7.6 "Cell Constraints" of the Specification
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AspectAndDistanceToLeaf(Aspect<?> aspect, int distance)` Creates an instance of the AspectAndDistanceToLeaf class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Aspect<?>` | `getAspect()` Gets the aspect.
    `int` | `getDistance()` Gets the distance.
    `void` | `setDistance(int distance)` Adjust distance to leaf.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AspectAndDistanceToLeaf

          public AspectAndDistanceToLeaf(Aspect<?> aspect,
                                 int distance)

      Creates an instance of the AspectAndDistanceToLeaf class. aspect parameter is immutable. distance parameter can be adjusted later
      Parameters:
        `aspect` - the aspect
        `distance` - the distance

  - ### Method Detail

    - #### getAspect

          public Aspect<?> getAspect()

      Gets the aspect.
      Returns:
        the aspect

    - #### getDistance

          public int getDistance()

      Gets the distance.
      Returns:
        the distance

    - #### setDistance

          public void setDistance(int distance)

      Adjust distance to leaf.
      Parameters:
        `distance` - the new distance

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`